> This page is for Data API, version v1.
> For other versions, use one of these documentation indexes:
> - v2 (default): https://developers.webflow.com/data/v2.0.0/llms.txt
> - v2 Beta: https://developers.webflow.com/data/v2.0.0-beta/llms.txt
> - v1: https://developers.webflow.com/data/v1.0.0/llms.txt

> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://developers.webflow.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://developers.webflow.com/_mcp/server.

# Update Product

PATCH https://api.webflow.com/sites/{site_id}/products/{product_id}
Content-Type: application/json

Updating an existing Product will set the product type to `Advanced`. The product type is used to determine which Product and SKU fields are shown to users in the `Designer` and the `Editor`. Setting it to `Advanced` ensures that all Product and SKU fields will be shown. The product type can be edited in the `Designer` or the `Editor`.


Reference: https://developers.webflow.com/data/v1.0.0/reference/ecommerce/products-sk-us/update-product

## Authentication

- `Authorization` header (bearer token, required) — Bearer authentication of the form `Bearer <token>`, where token is your auth token.

## Request

### Path parameters

- `site_id` (string, required) — Unique identifier for a Site
- `product_id` (string, required) — Unique identifier for a Product

### Headers

- `Accept-Version` (string, optional) — The API version

### Body (application/json)

This endpoint expects an object.

- `fields` (Field, optional) — Fields in your collection item

## Response

### 200

Request was successful

- `_id` (string, required) — Unique identifier for collection
- `lastUpdated` (string, optional) — The date the collection was last updated
- `createdOn` (string, optional) — The date the collection was create
- `name` (string, optional) — Name given to Collection
- `slug` (string, optional) — Slug of Collection in Site URL structure
- `singularName` (string, optional) — The name of one Item in Collection (e.g. “product” if the Collection is called “Product”)
- `fields` (ProductField, optional) — Fields in your product object

## Errors

### 400 Bad Request Error

Request body was incorrectly formatted. Likely invalid JSON being sent up.

- `any`

### 401 Unauthorized Error

Provided access token is invalid or does not have access to requested resource

- `any`

### 404 Not Found Error

Requested resource not found

- `any`

### 429 Too Many Requests Error

The rate limit of the provided access_token has been reached. Please have your application respect the X-RateLimit-Remaining header we include on API responses.

- `any`

### 500 Internal Server Error

We had a problem with our server. Try again later.

- `any`

## Types

### Field

Fields in your collection item

- `slug` (string, required, default: new-item) — Slug of the item
- `name` (string, required, default: My New Item) — item name
- `_archived` (boolean, required, default: false) — item archive status
- `_draft` (boolean, required, default: false) — item draft status
- `id` (string, optional) — Unique identifier for the item

### ProductField

Fields in your product object

- `slug` (string, required, default: product-name) — Slug of the item
- `name` (string, required, default: Product Name) — item name
- `_archived` (boolean, required, default: false) — item archive status
- `_draft` (boolean, required, default: false) — item draft status
- `id` (string, optional) — Unique identifier for the item
- `sku-properties` (list of SKUProperty, optional) — Variant/Options types to include in SKUs

### SKUProperty

A variant/optiontype for a SKU

- `id` (string, optional) — Unique identifier for a collection of product options/variants
- `name` (string, optional) — Nme of the collection of product options/variants
- `enum` (list of SKUEnum, optional) — The individual options/varaiants that are contained within the collection

### SKUEnum

Enumerated variant/option of a SKU

- `id` (string, optional) — Unique identifier for a product variant/option
- `name` (string, optional) — Name of the option/variant
- `slug` (string, optional) — slug of option/variant in Site URL structure

## Examples

**Request**

```json
{}
```

**Response**

```json
{
  "_id": "580e63fc8c9a982ac9b8b745",
  "fields": {
    "slug": "cloak-of-invisibility-1",
    "name": "Cloak Of Invisibility",
    "_archived": false,
    "_draft": false,
    "sku-properties": [
      {
        "id": "a37a7991f7ca1be0d349a805a2bddb5b",
        "name": "Color",
        "enum": [
          {
            "id": "a9506da8e70a8b087f35a4094ec34a53",
            "name": "Obsidian Black",
            "slug": "obsidian-black"
          },
          {
            "id": "c92a465a1298c95fd1cd7f4c1c96c2ba",
            "name": "Smoke Grey",
            "slug": "smoke-grey"
          },
          {
            "id": "ef9511c0b56cc11ff47c5669f65030b4",
            "name": "Forest Green",
            "slug": "forest-green"
          }
        ]
      }
    ],
    "shippable": "true",
    "ec-product-type": "ff42fee0113744f693a764e3431a9cc2",
    "description": "A cloak that renders the wearer invisible to the eye.",
    "published-on": "string",
    "published-by": "string",
    "default-sku": "5e8518536e147040726cc416"
  }
}
```

**SDK Code**

```python Products & SKUs_update-product_example
import requests

url = "https://api.webflow.com/sites/580e63e98c9a982ac9b8b741/products/580e63fc8c9a982ac9b8b745"

payload = {}
headers = {
    "Accept-Version": "1.0.0",
    "Authorization": "Bearer <token>",
    "Content-Type": "application/json"
}

response = requests.patch(url, json=payload, headers=headers)

print(response.json())
```

```javascript Products & SKUs_update-product_example
const url = 'https://api.webflow.com/sites/580e63e98c9a982ac9b8b741/products/580e63fc8c9a982ac9b8b745';
const options = {
  method: 'PATCH',
  headers: {
    'Accept-Version': '1.0.0',
    Authorization: 'Bearer <token>',
    'Content-Type': 'application/json'
  },
  body: '{}'
};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go Products & SKUs_update-product_example
package main

import (
	"fmt"
	"strings"
	"net/http"
	"io"
)

func main() {

	url := "https://api.webflow.com/sites/580e63e98c9a982ac9b8b741/products/580e63fc8c9a982ac9b8b745"

	payload := strings.NewReader("{}")

	req, _ := http.NewRequest("PATCH", url, payload)

	req.Header.Add("Accept-Version", "1.0.0")
	req.Header.Add("Authorization", "Bearer <token>")
	req.Header.Add("Content-Type", "application/json")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby Products & SKUs_update-product_example
require 'uri'
require 'net/http'

url = URI("https://api.webflow.com/sites/580e63e98c9a982ac9b8b741/products/580e63fc8c9a982ac9b8b745")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Patch.new(url)
request["Accept-Version"] = '1.0.0'
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{}"

response = http.request(request)
puts response.read_body
```

```java Products & SKUs_update-product_example
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.patch("https://api.webflow.com/sites/580e63e98c9a982ac9b8b741/products/580e63fc8c9a982ac9b8b745")
  .header("Accept-Version", "1.0.0")
  .header("Authorization", "Bearer <token>")
  .header("Content-Type", "application/json")
  .body("{}")
  .asString();
```

```php Products & SKUs_update-product_example
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('PATCH', 'https://api.webflow.com/sites/580e63e98c9a982ac9b8b741/products/580e63fc8c9a982ac9b8b745', [
  'body' => '{}',
  'headers' => [
    'Accept-Version' => '1.0.0',
    'Authorization' => 'Bearer <token>',
    'Content-Type' => 'application/json',
  ],
]);

echo $response->getBody();
```

```csharp Products & SKUs_update-product_example
using RestSharp;

var client = new RestClient("https://api.webflow.com/sites/580e63e98c9a982ac9b8b741/products/580e63fc8c9a982ac9b8b745");
var request = new RestRequest(Method.PATCH);
request.AddHeader("Accept-Version", "1.0.0");
request.AddHeader("Authorization", "Bearer <token>");
request.AddHeader("Content-Type", "application/json");
request.AddParameter("application/json", "{}", ParameterType.RequestBody);
IRestResponse response = client.Execute(request);
```

```swift Products & SKUs_update-product_example
import Foundation

let headers = [
  "Accept-Version": "1.0.0",
  "Authorization": "Bearer <token>",
  "Content-Type": "application/json"
]
let parameters = [] as [String : Any]

let postData = JSONSerialization.data(withJSONObject: parameters, options: [])

let request = NSMutableURLRequest(url: NSURL(string: "https://api.webflow.com/sites/580e63e98c9a982ac9b8b741/products/580e63fc8c9a982ac9b8b745")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "PATCH"
request.allHTTPHeaderFields = headers
request.httpBody = postData as Data

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```